> ## Documentation Index
> Fetch the complete documentation index at: https://pier.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Borrowers

> Borrowers represent a legal borrower, and can either be a consumer (e.g. for personal loans and lines of credit) or a business (e.g. for commercial charge cards and loans). Creating a borrower (or referencing an existing one) is the first step in the Pier credit origination process.

<Card title="Create a business borrower" icon="building-circle-check" href="/borrowers/create-business-borrower">`POST /borrowers/business`</Card>
<Card title="Update business borrower" icon="building-circle-arrow-right" href="/borrowers/update-business-owner">`PATCH /borrowers/business/{borrower_id}`</Card>
<Card title="Create a consumer borrower" icon="user-plus" href="/borrowers/create-consumer-borrower">`POST /borrowers/consumer`</Card>
<Card title="Update a consumer borrower" icon="user-pen" href="/borrowers/update-consumer-borrower">`PATCH /borrowers/consumer/{borrower_id}`</Card>
<Card title="Retrieve a borrower by id" icon="user-magnifying-glass" href="/retrieve-borrower-by-id">`GET /borrowers/{borrower_id}`</Card>
<Card title="List all borrowers" icon="list" href="/borrowers/list-all-borrowers">`GET /borrowers`</Card>

## Business Borrower

### Attributes

<ResponseField name="id" type="string">
  Unique identifier for the object
</ResponseField>

<ResponseField name="address" type="object">
  The address of the business. See [Address](/types#attributes) type
</ResponseField>

<ResponseField name="beneficial_owners" type="array of BeneficialOwners">
  An array of objects representing owners of the business and those who control the funds of the business. If no one owns more than 25% of the business, just the individual who has ultimate control of the funds must be included. A maximum of 5 objects can be added. See [BeneficialOwner](/types#beneficialowner) type
</ResponseField>

<ResponseField name="business_contact" type="object">
  The person executing the loan agreement. See [BusinessContact](/types#businesscontact) type
</ResponseField>

<ResponseField name="business_name" type="string">
  Legal name of the business
</ResponseField>

<ResponseField name="business_type" type="enum">
  The type of business entity. Accepted values are `corporation`, `llc`, `partnership`, or `sole_proprietorship`
</ResponseField>

<ResponseField name="created_on" type="string">
  Time stamp of borrower's creation date
</ResponseField>

<ResponseField name="dba_name" type="string">
  Doing-business-as name of the business
</ResponseField>

<ResponseField name="ein" type="string">
  9-digit IRS employee identification number of the business (e.g. 345543221)
</ResponseField>

<ResponseField name="incorporation_date" type="string">
  Incorporation date of the business (YYYY-MM-DD)
</ResponseField>

<ResponseField name="incorporation_date" type="string">
  Incorporation date of the business (YYYY-MM-DD)
</ResponseField>

<ResponseField name="kyb_completed_date" type="string">
  Date kyb completed on the business (YYYY-MM-DD)
</ResponseField>

<Accordion title="The business borrower object">
  ```json Example Business Borrower object
  {
    "address": {
      "line_1": "15 Market St",
      "line_2": "Suite 200",
      "city": "San Francisco",
      "state": "CA",
      "zip": "94133"
    },
    "business_contact": {
      "first_name": "alex",
      "last_name": "montana",
      "phone": "4155555555",
      "email": "alex@acme.co",
      "title": "COO"
    },
    "beneficial_owners": [
      {
        "address": {
          "line_1": "15 Carl St",
          "line_2": null,
          "city": "San Francisco",
          "state": "CA",
          "zip": "91133"
        },
        "date_of_birth": "1991-12-18",
        "email": "jdoe@acme.com",
        "first_name": "Jane",
        "last_name": "Dough",
        "phone": "4155555555",
        "ssn": "123456789",
        "_id": "63ae91f8eae458cb0d79f77e"
      }
    ],
    "id": "bor_18e5a3726b3943cda2635f40e1041ba4",
    "business_name": "Apple Landscaping",
    "business_type": "sole_proprietorship",
    "dba_name": "Apple Landscaping",
    "ein": "130256721",
    "incorporation_date": "2000-12-12",
    "kyc_completion_date": "2022-11-15",
    "phone": "4152556465",
    "created_on": "2022-12-30T07:23:36.665Z"
  }
  ```
</Accordion>

## Consumer borrower object

### Attributes

<ResponseField name="id" type="string">
  Unique identifier for the object
</ResponseField>

<ResponseField name="address" type="object">
  The address of the borrower. See **Address** type
</ResponseField>

<ResponseField name="created_on" type="string">
  Time stamp of borrower's creation date
</ResponseField>

<ResponseField name="date_of_birth" type="string">
  The borrower's date of birth (YYYY-MM-DD)
</ResponseField>

<ResponseField name="email" type="string">
  The borrower's valid email address
</ResponseField>

<ResponseField name="first_name" type="string">
  The borrower's first name
</ResponseField>

<ResponseField name="last_name" type="string">
  The borrower's last name
</ResponseField>

<ResponseField name="kyc_completed_date" type="string">
  Date kyc completed on the borrower (YYYY-MM-DD)
</ResponseField>

<ResponseField name="phone" type="string">
  The borrower's 10-digit US phone number (e.g. 4152775050)
</ResponseField>

<ResponseField name="ssn" type="string">
  9-digit social security number of the borrower (e.g. 345543221)
</ResponseField>

<Accordion title="Consumer borrower object">
  ```json Example Consumer Borrower object
  {
    "address": {
      "line_1": "15 Main Street",
  		"line_2": "Unit 204",
      "city": "Austin",
      "state": "TX",
      "zip": "73301"
    },
    "id": "bor_a1d0c30d77104f35b4c842b99132624e",
    "date_of_birth": "1991-12-18",
    "email": "jdough@acme.co",
    "first_name": "Jane",
    "last_name": "Dough",
    "ssn": "999888777",
    "kyc_completion_date": "2022-11-15",
    "created_on": "2022-12-31T00:58:47.828Z"
  }
  ```
</Accordion>
